; *****************************
; ** angelZware PB Tools Lib **
; ** ----------------------- **
; ** plainmail_demo.pb       **
; ** V0.1 (2010/08/23)       **
; ** by Ronny Krger         **
; *****************************
; ** Licence: LGPL V3        **
; *****************************

EnableExplicit


CompilerSelect #PB_Compiler_OS 
  CompilerCase #PB_OS_Windows
    IncludePath "..\include\awpbtools"
  CompilerCase #PB_OS_Linux
    IncludePath "../include/awpbtools"
CompilerEndSelect

XIncludeFile "awmessage.pbi"

OpenConsole()

PrintN("AWPB-Tools MailEncoder-Demo")
PrintN("")

Global *msg, mailtext.s

mailtext = "Dies ist der Plain-Text-Teil der Testmail. "

Print("Allocating Message ... ")
*msg = AWPB_MSG_AllocateMessage()
If *msg
  PrintN("success")
  AWPB_MSG_SetFrom(*msg, "ABSENDERADRESSE")       ;- Set      <- Absenderadresse eintragen
  AWPB_MSG_SetTo(*msg, "EMPFNGERADRESSE")        ;- Set      <- Empfngeradresse eintragen
  AWPB_MSG_SetSubject(*msg, "BETREFF")            ;- Set      <- Betreff eintragen
  AWPB_MSG_SetDate(*msg, Date())
  
  If AWPB_MSG_SetBodyPlainText(*msg, mailtext)       ; Body setzen
    PrintN("Body eingetragen")
  EndIf
  
  If AWPB_MSG_EncodeMessage(*msg)                    ; message encoden
    PrintN("Message built")
    If AWPB_MSG_SaveMailEML(*msg, "plainmail.eml")
      PrintN("Mail saved")
    Else
      PrintN("Message not saved")
    EndIf
  Else
    PrintN("Message not built")
  EndIf
  
  AWPB_MSG_FreeMessage(*msg)
Else
  PrintN("failed")
EndIf

PrintN("Press return to exit")
Input()
; IDE Options = PureBasic 4.51 RC 2 (Linux - x64)
; ExecutableFormat = Console
; CursorPosition = 35
; EnableUnicode
; EnableThread
; EnableXP
; Executable = file_demo.exe
; CPU = 1
; Compiler = PureBasic 4.51 RC 2 (Linux - x64)
; EnablePurifier