; *****************************
; ** angelZware PB Tools Lib **
; ** ----------------------- **
; ** smtp_demo.pb         **
; ** V0.1 (2010/08/23)       **
; ** by Ronny Krger         **
; *****************************
; ** Licence: LGPL V3        **
; *****************************

EnableExplicit

; Ldt eine Mail und versendet sie
; die Mail kann mit htmlmail_demo, mailalt_demo, mailatt_demo, plainmail_demo
; erzeugt werden

CompilerSelect #PB_Compiler_OS 
  CompilerCase #PB_OS_Windows
    IncludePath "..\include\awpbtools"
  CompilerCase #PB_OS_Linux
    IncludePath "../include/awpbtools"
CompilerEndSelect

XIncludeFile "awsmtp.pbi"
XIncludeFile "awmessage.pbi"

Global *smtp, *msg, file.s

InitNetwork()     ;- fr smtp ntig
OpenConsole()

PrintN("AWPB-Tools SMTP-Demo")
PrintN("")

file = OpenFileRequester("Please choose file to load", "", "EML-Files (*.eml)|*.eml", 0)
If file
  Print("Loading mail ... ")
  *msg = AWPB_MSG_LoadMailEML(#Null, file)
  If *msg
    PrintN("success")         
    Print("Allocations SMTP Object ... ")
    *smtp = AWPB_SMTP_AllocateSMTP()
    If *smtp
      PrintN("success")
      AWPB_SMTP_SetServer(*smtp, "mail.gmx.net", 25)    ;- Set  Mailserver und Port eintragen
      AWPB_SMTP_SetLogin(*smtp, "LOGIN", "PASSWORD")    ;- Set  Login und Passwort eintragen
      Print("Connecting ... ")
      If AWPB_SMTP_Connect(*smtp)
        PrintN("success")
        Print("Sending message ... ")
        If AWPB_SMTP_SendMessage(*smtp, *msg)
          PrintN("success")
        Else
          PrintN("failed " + Str(AWPB_SMTP_GetServerResultCode(*smtp)))
          PrintN("Server replied: " + AWPB_SMTP_GetServerResult(*smtp))
        EndIf
        Print("disconnecting ... ")
        AWPB_SMTP_DisConnect(*smtp)
        PrintN("done")
      Else
        PrintN("failed " + Str(AWPB_SMTP_GetServerResultCode(*smtp)))
        PrintN("Server replied: " + AWPB_SMTP_GetServerResult(*smtp))
      EndIf   
      AWPB_SMTP_FreeSMTP(*smtp)
    Else
      PrintN("failed")
    EndIf
    AWPB_MSG_FreeMessage(*msg)  
  EndIf
EndIf

PrintN("Press return to exit")
Input()
; IDE Options = PureBasic 4.51 RC 2 (Linux - x64)
; ExecutableFormat = Console
; CursorPosition = 45
; FirstLine = 23
; EnableUnicode
; EnableThread
; EnableXP
; Executable = smtp_demo.exe
; CPU = 1
; Compiler = PureBasic 4.51 RC 2 (Linux - x64)
; EnablePurifier