; *****************************
; ** angelZware PB Tools Lib **
; ** ----------------------- **
; ** file_demo.pb            **
; ** V0.1 (2010/08/23)       **
; ** by Ronny Krger         **
; *****************************
; ** Licence: LGPL V3        **
; *****************************

EnableExplicit


CompilerSelect #PB_Compiler_OS 
  CompilerCase #PB_OS_Windows
    IncludePath "..\include\awpbtools"
  CompilerCase #PB_OS_Linux
    IncludePath "../include/awpbtools"
CompilerEndSelect

XIncludeFile "awdate.pbi"

OpenConsole()

PrintN("AWPB-Tools Date-Demo")
PrintN("")

Global datum.i, datumrfc.s, jetzt.i

jetzt    = Date()
datumrfc = AWPB_DATE_DateToRFC2822(jetzt)
datum    = AWPB_DATE_RFC2822ToDate(datumrfc)

PrintN("aktuelle Zeit:     " + FormatDate("%dd.%mm.%yyyy - %hh:%ii:%ss", jetzt))
PrintN("als RFC2822:       " + datumrfc)
PrintN("RFC2822 dekodiert: " + FormatDate("%dd.%mm.%yyyy - %hh:%ii:%ss", datum))

PrintN("Press return to exit")
Input()
; IDE Options = PureBasic 4.51 RC 2 (Linux - x64)
; ExecutableFormat = Console
; CursorPosition = 32
; FirstLine = 9
; EnableUnicode
; EnableThread
; EnableXP
; Executable = date_demo
; CPU = 1
; Compiler = PureBasic 4.51 RC 2 (Linux - x64)
; EnablePurifier